<template>
  <div>
    <el-dialog
      title="查看实时报警数据"
      :visible="visible"
      :before-close="handleClose"
      custom-class="bbsl-location-dialog"
      width="50%"
      top="8vh"
    >
      <div class="mainBody">
        <el-descriptions border :column="2">
          <el-descriptions-item label="告警设备标识">
            {{ parameter.deviceCode }}
          </el-descriptions-item>
          <el-descriptions-item label="告警类型">
            {{ parameter.warnType }}
          </el-descriptions-item>
          <el-descriptions-item label="告警时间">
            {{ parameter.warnTime }}
          </el-descriptions-item>
          <el-descriptions-item label="告警名称">
            {{ parameter.warnName }}
          </el-descriptions-item>
          <el-descriptions-item label="告警阈值">
            {{ parameter.warnThreshold }}
          </el-descriptions-item>
          <el-descriptions-item label="处理结果">
            {{ parameter.handleResult }}
          </el-descriptions-item>
          <el-descriptions-item label="处理状态">
            <!-- {{ parameter.handleStatus }} -->

            <span
              class="status-tag"
              style="background-color: #f9c956"
              v-if="parameter.handleStatus == -1"
            >{{ getDictNanme(parameter.handleStatus) }}</span
            >
            <span
              class="status-tag"
              style="background-color: #ff4949"
              v-else-if="parameter.handleStatus == 0"
            >{{ getDictNanme(parameter.handleStatus) }}</span
            >
            <span
              class="status-tag"
              style="background-color: #ffa558"
              v-else-if="parameter.handleStatus == 1"
            >{{ getDictNanme(parameter.handleStatus) }}</span
            >
            <span
              class="status-tag"
              style="background-color: #409eff"
              v-else-if="parameter.handleStatus == 2"
            >{{ getDictNanme(parameter.handleStatus) }}</span
            >
            <span
              class="status-tag"
              style="background-color: #13ce66"
              v-else-if="parameter.handleStatus == 3"
            >{{ getDictNanme(parameter.handleStatus) }}</span
            >
            <span
              class="status-tag"
              style="background-color: #191970"
              v-else-if="parameter.handleStatus == 4"
            >{{ getDictNanme(parameter.handleStatus) }}</span
            >
            <span
              class="status-tag"
              style="background-color: #8a2be2"
              v-else-if="parameter.handleStatus == 5"
            >{{ getDictNanme(parameter.handleStatus) }}</span
            >
            <span
              class="status-tag"
              style="background-color: #b9b9b9"
              v-else-if="parameter.handleStatus == 9"
            >{{ getDictNanme(parameter.handleStatus) }}</span
            >
            <span class="status-tag" style="background-color: #b9b9b9" v-else>{{
              getDictNanme(parameter.handleStatus)
            }}</span>
          </el-descriptions-item>
          <el-descriptions-item label="告警缘由">
            {{ parameter.warnReason }}
          </el-descriptions-item>
        </el-descriptions>
      </div>
      <span slot="footer" class="dialog-footer">
        <el-button @click="handleClose">取 消</el-button>
      </span>
    </el-dialog>
  </div>
</template>

<script>
import dictUtils from '@/components/dict/DictSelectUtils.js'

export default {
  name: 'indexWarning',
  data() {
    return {
      visible: false,
      activeCollapse1: '1',
      ctlTypeList: '',
      active: 1,
      parameter: {
        handleStatus: 1
      }
    }
  },
  created() {
    this.deviceTypeList = dictUtils.getDictItemsFromCache('gjsblx')
    this.handleStatusList = dictUtils.getDictItemsFromCache('clzt')
    this.warnTypeList = dictUtils.getDictItemsFromCache('gjlx')
  },
  mounted() {
  },
  methods: {
    add(val) {
      this.visible = true
      this.parameter = val
      this.warnTypeList.forEach(val => {
        if (this.parameter.warnType == val.value) {
          this.parameter['warnType'] = val.name
        }
      })
    },
    getDictNanme(status) {
      let name = '未知状态'
      this.handleStatusList.forEach(val => {
        if (status == val.value) {
          name = val.name
        }
      })
      return name
    },
    // 关闭新增人员窗口
    handleClose() {
      this.visible = false
      this.activeCollapse1 = '1'
      this.parameter = {}
    }
  }
}
</script>

<style lang="scss" scoped>
::v-deep .el-col {
  margin: 10px 30px 10px 0px;
  padding: 0px 10px 0px 10px;
}

.mainBody {
  position: relative;
  top: 10px;
  left: 20px;

  span {
    font-size: 14px;
  }
}

::v-deep .el-descriptions--small.is-bordered .el-descriptions-item__cell {
  font-size: 14px;
}

// div span {
//     font-weight: bold
// }
.status-tag {
  padding: 4px 10px;
  border-radius: 6px;
  color: #fff;
}
</style>
